# Uses of Interface
org.eclipse.emf.compare.domain.IMergeRunnable

Packages that use IMergeRunnable
Package
Description
org.eclipse.emf.compare.command.impl
org.eclipse.emf.compare.domain
org.eclipse.emf.compare.domain.impl
org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions

## Uses of IMergeRunnable in org.eclipse.emf.compare.command.impl

Constructors in org.eclipse.emf.compare.command.impl with parameters of type IMergeRunnable
Modifier
Constructor
Description
``
`MergeCommand(ChangeRecorder changeRecorder, Collection<Notifier> notifiers, List<? extends Diff> differences, boolean leftToRight, IMerger.Registry mergerRegistry, IMergeRunnable runnable)`
Creates a new instance.

## Uses of IMergeRunnable in org.eclipse.emf.compare.domain

Methods in org.eclipse.emf.compare.domain with parameters of type IMergeRunnable
Modifier and Type
Method
Description
`ICompareCopyCommand`
ICompareEditingDomain.`createCopyCommand(List<? extends Diff> differences, boolean leftToRight, IMerger.Registry mergerRegistry, IMergeRunnable runnable)`
Creates a new command that will execute the given `IMergeRunnable` that is expected to merge the given differences in from right to left or left to right by using the mergers defined in the given merger registry.

## Uses of IMergeRunnable in org.eclipse.emf.compare.domain.impl

Methods in org.eclipse.emf.compare.domain.impl with parameters of type IMergeRunnable
Modifier and Type
Method
Description
`ICompareCopyCommand`
EMFCompareEditingDomain.`createCopyCommand(List<? extends Diff> differences, boolean leftToRight, IMerger.Registry mergerRegistry, IMergeRunnable runnable)`
Creates a new command that will execute the given `IMergeRunnable` that is expected to merge the given differences in from right to left or left to right by using the mergers defined in the given merger registry.

## Uses of IMergeRunnable in org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions

Classes in org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions that implement IMergeRunnable
Modifier and Type
Class
Description
`class`
`MergeConflictingRunnable`
Implements the "merge all contained conflicting" action.
`class`
`MergeContainedRunnable`
The runnable for the `MergeContainedAction`.
`class`
`MergeNonConflictingRunnable`
Implements the "merge non-conflicting" and "merge all non-conflicting" action.
`final class`
`MergeRunnableImpl`
Methods in org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions that return IMergeRunnable
Modifier and Type
Method
Description
`protected IMergeRunnable`
MergeAction.`createMergeRunnable(MergeMode mode, boolean leftEditable, boolean rightEditable, IDiffRelationshipComputer relationshipComputer)`
`protected IMergeRunnable`
MergeContainedAction.`createMergeRunnable(MergeMode mode, boolean isLeftEditable, boolean isRightEditable, IDiffRelationshipComputer relationshipComputer)`
`protected IMergeRunnable`
MergeContainedConflictingAction.`createMergeRunnable(MergeMode mode, boolean isLeftEditable, boolean isRightEditable, IDiffRelationshipComputer relationshipComputer)`
`protected IMergeRunnable`
MergeContainedNonConflictingAction.`createMergeRunnable(MergeMode mode, boolean isLeftEditable, boolean isRightEditable, IDiffRelationshipComputer relationshipComputer)`